Bug 1374289 - switching between slides is glitchy in impress under wayland
Summary: switching between slides is glitchy in impress under wayland
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-09-08 12:04 UTC by Kamil Páral
Modified: 2016-11-19 21:16 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-19 21:16:42 UTC


Attachments (Terms of Use)
bug demonstration video (1.24 MB, application/octet-stream)
2016-09-08 12:04 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2016-09-08 12:04:27 UTC
Created attachment 1199031 [details]
bug demonstration video

Description of problem:
In a wayland session, switching between slides doesn't work correctly in Impress. If you move your mouse cursor from top to bottom, everything is ok. But if you move mouse cursor from bottom to top, both the current and the previous slide is being selected in a very rapid succession. If you click, sometimes the current slide and sometimes the previous slide is selected. Depending on the timing, sometimes it's quite hard to select a particular slide.

See the video.

Version-Release number of selected component (if applicable):
gnome-session-wayland-session-3.21.90-1.fc25.x86_64
gnome-shell-3.21.90.1-1.fc25.x86_64
gtk3-3.21.4-2.fc25.x86_64
libreoffice-calc-5.2.1.2-1.fc25.x86_64
libreoffice-core-5.2.1.2-1.fc25.x86_64
libreoffice-data-5.2.1.2-1.fc25.noarch
libreoffice-draw-5.2.1.2-1.fc25.x86_64
libreoffice-emailmerge-5.2.1.2-1.fc25.x86_64
libreoffice-filters-5.2.1.2-1.fc25.x86_64
libreoffice-graphicfilter-5.2.1.2-1.fc25.x86_64
libreoffice-gtk2-5.2.1.2-1.fc25.x86_64
libreoffice-gtk3-5.2.1.2-1.fc25.x86_64
libreoffice-impress-5.2.1.2-1.fc25.x86_64
libreoffice-langpack-cs-5.2.1.2-1.fc25.x86_64
libreoffice-langpack-en-5.2.1.2-1.fc25.x86_64
libreoffice-math-5.2.1.2-1.fc25.x86_64
libreoffice-ogltrans-5.2.1.2-1.fc25.x86_64
libreoffice-opensymbol-fonts-5.2.1.2-1.fc25.noarch
libreoffice-pdfimport-5.2.1.2-1.fc25.x86_64
libreoffice-pyuno-5.2.1.2-1.fc25.x86_64
libreoffice-ure-5.2.1.2-1.fc25.x86_64
libreoffice-writer-5.2.1.2-1.fc25.x86_64
libreoffice-x11-5.2.1.2-1.fc25.x86_64
libreoffice-xsltfilter-5.2.1.2-1.fc25.x86_64
libwayland-client-1.11.92-1.fc25.x86_64
libwayland-cursor-1.11.92-1.fc25.x86_64
libwayland-server-1.11.92-1.fc25.x86_64
mesa-libwayland-egl-12.0.2-1.fc25.x86_64
mutter-3.21.90-3.fc25.x86_64
xorg-x11-server-Xwayland-1.18.4-5.fc25.x86_64


How reproducible:
always

Steps to Reproduce:
1. open up Impress in a wayland session
2. create several slides
3. move the mouse over the slides top to down, everything ok
4. move the mouse over the slides down to top, the selection goes crazy and jumps between several slides on every move

Comment 1 Caolan McNamara 2016-11-10 13:19:28 UTC
I think its very likely this might be fixed by https://cgit.freedesktop.org/libreoffice/core/commit/?id=15b524a9a89712e486123c8e55e7e3d402b96d52 I'll backport that and find out

Comment 2 Fedora Update System 2016-11-10 14:38:09 UTC
libreoffice-5.2.3.3-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ced1f77f57

Comment 3 Fedora Update System 2016-11-10 19:27:06 UTC
libreoffice-5.2.3.3-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ced1f77f57

Comment 4 Fedora Update System 2016-11-11 08:59:43 UTC
libreoffice-5.2.3.3-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0438bf95e5

Comment 5 Kamil Páral 2016-11-11 11:15:33 UTC
Fixed, thanks!

Comment 6 Fedora Update System 2016-11-11 16:58:34 UTC
libreoffice-5.2.3.3-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0438bf95e5

Comment 7 Fedora Update System 2016-11-19 21:16:42 UTC
libreoffice-5.2.3.3-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.